aboutsummaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorSyndamia <kamen.d.mladenov@protonmail.com>2022-01-12 17:22:51 +0200
committerSyndamia <kamen.d.mladenov@protonmail.com>2022-01-12 17:22:51 +0200
commit025bdf5ab5d943eb92180de25753401954bb88b8 (patch)
tree68e495134679fbe15fae76c802912717cab747ca /dev-python
parentb0741471335e9fc86d1a7e3591b1f7c27263f144 (diff)
downloadgarbage-025bdf5ab5d943eb92180de25753401954bb88b8.tar
garbage-025bdf5ab5d943eb92180de25753401954bb88b8.tar.gz
garbage-025bdf5ab5d943eb92180de25753401954bb88b8.zip
Added the current setup
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/packaging/Manifest3
-rw-r--r--dev-python/packaging/metadata.xml13
-rw-r--r--dev-python/packaging/packaging-21.3-r1.ebuild37
-rw-r--r--dev-python/python-evdev/Manifest3
-rw-r--r--dev-python/python-evdev/metadata.xml8
-rw-r--r--dev-python/python-evdev/python-evdev-1.4.0.ebuild30
-rw-r--r--dev-python/setuptools/Manifest4
-rw-r--r--dev-python/setuptools/metadata.xml14
-rw-r--r--dev-python/setuptools/setuptools-59.8.0.ebuild87
9 files changed, 199 insertions, 0 deletions
diff --git a/dev-python/packaging/Manifest b/dev-python/packaging/Manifest
new file mode 100644
index 0000000..19e78db
--- /dev/null
+++ b/dev-python/packaging/Manifest
@@ -0,0 +1,3 @@
+DIST packaging-21.3.gh.tar.gz 80471 BLAKE2B a16ba1e74f0c868816131a7cb07b7aa0c14760cf3ad4c3d6737ac30ef99276c33b1f018d29e710f28e8d0cfb0e3e6b91e375d1d17e2b7ec6302164377cd503d0 SHA512 8960deacda26877b73d98a3b632e760e902a16ec7a04707f84044980e4d4fb33e4f584db115c9008066aa876079f28633bafe37fbd5ce9a23830b6b89eb4ae7a
+EBUILD packaging-21.3-r1.ebuild 958 BLAKE2B 6b8cff1a9479ec3e2529489a4c56de56b84cae71e253babbb98f5a7e4cb800cc0d0aad784a706859215863e9f92eb9df8780f4506bcb179820e155e4fc0d3c58 SHA512 8be4774229bebe45ee6935e1365c2c9c9de8a6ab8a833980738fb324fa066456e0d84e197abfe1e820a63448dc82e2e5425d3fe3f49278e64bab87afa1a544d2
+MISC metadata.xml 391 BLAKE2B 0d73ed3809b26e3069048116ab247ceeb9e2932e0d8d6063b97cc1f0ed8359e73a54b22035fedb169524e502b6a07b8203e6c35d801f738bbed685d90e12bf96 SHA512 eb4d1ca476a45232547fdd961a4e6715dda24c7ab82e1f1995ac977b9825793d5d10a2ac408b1ee0b7c8b8444f2c42be33d6fb1012461f96db9a71477cca67ae
diff --git a/dev-python/packaging/metadata.xml b/dev-python/packaging/metadata.xml
new file mode 100644
index 0000000..229a32e
--- /dev/null
+++ b/dev-python/packaging/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <stabilize-allarches/>
+ <upstream>
+ <remote-id type="pypi">packaging</remote-id>
+ <remote-id type="github">pypa/packaging</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/packaging/packaging-21.3-r1.ebuild b/dev-python/packaging/packaging-21.3-r1.ebuild
new file mode 100644
index 0000000..d39ba4b
--- /dev/null
+++ b/dev-python/packaging/packaging-21.3-r1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="Core utilities for Python packages"
+HOMEPAGE="
+ https://github.com/pypa/packaging/
+ https://pypi.org/project/packaging/"
+SRC_URI="
+ https://github.com/pypa/packaging/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+SLOT="0"
+LICENSE="|| ( Apache-2.0 BSD-2 )"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+RDEPEND="
+ || (
+ >=dev-python/pyparsing-3.0.6[${PYTHON_USEDEP}]
+ <dev-python/pyparsing-3.0.5[${PYTHON_USEDEP}]
+ )
+"
+DEPEND="
+ test? (
+ dev-python/pretend[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ epytest --capture=no
+}
diff --git a/dev-python/python-evdev/Manifest b/dev-python/python-evdev/Manifest
new file mode 100644
index 0000000..c17a815
--- /dev/null
+++ b/dev-python/python-evdev/Manifest
@@ -0,0 +1,3 @@
+DIST python-evdev-1.4.0.tar.gz 86010 BLAKE2B 958d85f852e88a27fd22ec2511ba1367a69141f294d96f55d45fb5da176c539aef09a6c65d31be87581d0176571c7bd1ca84d580e920e460c3ca810d8efa45be SHA512 a98552bb1c5075c73ebb0a2a3a0fb241e061ed476d5342c8e8e23b3da86fa769a7d5d8027cfa243542d8b62efb89a9b1daf1c4768173295cd466714e4c53029d
+EBUILD python-evdev-1.4.0.ebuild 758 BLAKE2B 0360e57adb922efd858e795a6d67397ca48d2ee265b733159ab1dd999f0f25e9231542a4015effc74c8683abb4f5a828d22e14e02bfb8c1db902e780d60a528f SHA512 4edf3a0f4900876c86d05cc6e5f158c8f4ab4aa3734f89484670c6a9fe5f81ce09282f3e73f71034d138153b746bcfd6827a538bafde06de576a84ac48b0dfb6
+MISC metadata.xml 236 BLAKE2B 3432dc60db586ece2a4503a7360be713bbd86c5fb6f0bbd88becdcbff3d3fc1ea0686e836da9ce965cc7f3934cbf0b098000efba470d85ed4dd27d43581ff656 SHA512 e4094b8bd3c78483b7a36697dd232f371a826cbf485900b3903d679f945659b8af64720786fd02a414052df6de2e2b0aa2bf7119a2a4b9e69ca70e8649acb809
diff --git a/dev-python/python-evdev/metadata.xml b/dev-python/python-evdev/metadata.xml
new file mode 100644
index 0000000..685f012
--- /dev/null
+++ b/dev-python/python-evdev/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <!-- maintainer-needed -->
+ <upstream>
+ <remote-id type="pypi">evdev</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/python-evdev/python-evdev-1.4.0.ebuild b/dev-python/python-evdev/python-evdev-1.4.0.ebuild
new file mode 100644
index 0000000..9dea3a6
--- /dev/null
+++ b/dev-python/python-evdev/python-evdev-1.4.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library for evdev bindings"
+HOMEPAGE="https://python-evdev.readthedocs.io/"
+SRC_URI="https://github.com/gvalkov/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="amd64 ~arm ~x86"
+
+distutils_enable_tests pytest
+
+python_compile() {
+ distutils-r1_python_compile build_ecodes \
+ --evdev-headers \
+ "${SYSROOT}/usr/include/linux/input.h:${SYSROOT}/usr/include/linux/input-event-codes.h"
+}
+
+python_test() {
+ # test_uinput requires write access to /dev/uinput
+ pytest -vv --deselect tests/test_uinput.py ||
+ die "tests failed for ${EPYTHON}"
+}
diff --git a/dev-python/setuptools/Manifest b/dev-python/setuptools/Manifest
new file mode 100644
index 0000000..03a400b
--- /dev/null
+++ b/dev-python/setuptools/Manifest
@@ -0,0 +1,4 @@
+DIST python-gentoo-patches-3.10.0_p1.tar.xz 10068 BLAKE2B 1c9817b449831559f0a0b722c02a5f55d94b3dfde98e5882c1403fe24a4addf7074ab39c09b91cff6fd7ace2e4b6e8ed899d9a0b9ffd6612ce315c4c192bd309 SHA512 39aa41dbf17b6dc5255491c75031a3dae6962b44125e426dbfdce365a6533c5dae9856b1fff8016a189124b7cff72d2665ce99da344c2f9dff005ba685e8c2c4
+DIST setuptools-59.8.0.tar.gz 2282358 BLAKE2B 2f1b49285fc70420e24f958c4955200ef0407a7f3aa52fd581a165fd47c7bbde8366c26963f1bbb36f0f77797c12cbb9016fdc69e1a5cc696bb67aacca16d140 SHA512 d906558b498bda8abf28831224502c6f0290a4cdbf087fe07af8321dba3dfd1e19fa5b4a820033e54c4561b82ea8ec54c287b4fd657892ed28c2a7de91a9107e
+EBUILD setuptools-59.8.0.ebuild 2933 BLAKE2B d5f4b008152d6a1324ea2a63da229f71fda4f6e20f1d7790f69257e9945ad98c02d765dc5c4e76fe44b476eeb19df6b21f582c684ab13e7b6452e280babfa0fb SHA512 e627a7c69f998d01dcd24c446efddf1af40e97065b13df3398e1c6e8c320f42cf1d5b04d2e84325f32298e0c91c8d789def20d4e947d6aca6e66ddda8058d14e
+MISC metadata.xml 469 BLAKE2B 4a26769b09a3785586b22db850b7fc5c4818f31c3ace9cc94476d35df05e50edf6721f3c95ec615c3b2efe071ef284a54ea2d53566316ba653f7830bb48f80bf SHA512 dd682c4ad2e59a97094ebdabe4d1063e2319ed05e1fe9d8c2fafe069badb3b4cf8bb6d9f50e09d2128e2a081c1c69827407ac8aed644ebf70eb4ca1bc9a57319
diff --git a/dev-python/setuptools/metadata.xml b/dev-python/setuptools/metadata.xml
new file mode 100644
index 0000000..46eeb10
--- /dev/null
+++ b/dev-python/setuptools/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <stabilize-allarches/>
+ <upstream>
+ <remote-id type="pypi">setuptools</remote-id>
+ <remote-id type="github">pypa/setuptools</remote-id>
+ <remote-id type="cpe">cpe:/a:python:setuptools</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/setuptools/setuptools-59.8.0.ebuild b/dev-python/setuptools/setuptools-59.8.0.ebuild
new file mode 100644
index 0000000..30b1a68
--- /dev/null
+++ b/dev-python/setuptools/setuptools-59.8.0.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
+
+# Set to 'manual' to avoid triggering install QA check
+DISTUTILS_USE_SETUPTOOLS=manual
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1 multiprocessing
+
+CPY_PATCHSET="python-gentoo-patches-3.10.0_p1"
+DESCRIPTION="Collection of extensions to Distutils"
+HOMEPAGE="https://github.com/pypa/setuptools https://pypi.org/project/setuptools/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
+ https://dev.gentoo.org/~floppym/python/${CPY_PATCHSET}.tar.xz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ test? (
+ $(python_gen_cond_dep '
+ dev-python/jaraco-envs[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-path-3.2.0[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pip[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-fixture-config[${PYTHON_USEDEP}]
+ dev-python/pytest-virtualenv[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ >=dev-python/virtualenv-20[${PYTHON_USEDEP}]
+ dev-python/wheel[${PYTHON_USEDEP}]
+ ' python3_{8..10} pypy3)
+ )
+"
+PDEPEND="
+ >=dev-python/certifi-2016.9.26[${PYTHON_USEDEP}]
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]"
+
+# Force in-source build because build system modifies sources.
+DISTUTILS_IN_SOURCE_BUILD=1
+
+DOCS=( {CHANGES,README}.rst )
+
+src_prepare() {
+ # apply distutils patches to the bundled distutils
+ pushd setuptools/_distutils >/dev/null || die
+ # TODO: distutils C++ patch?
+ eapply -p3 "${WORKDIR}/${CPY_PATCHSET}/0006-distutils-make-OO-enable-both-opt-1-and-opt-2-optimi.patch"
+ popd >/dev/null || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # keep in sync with python_gen_cond_dep above!
+ has "${EPYTHON}" python3.{8..10} pypy3 || continue
+
+ distutils_install_for_testing
+ local EPYTEST_DESELECT=(
+ # network
+ setuptools/tests/test_distutils_adoption.py
+ 'setuptools/tests/test_virtualenv.py::test_pip_upgrade_from_source[None]'
+ # unhappy with pytest-xdist?
+ setuptools/tests/test_easy_install.py::TestUserInstallTest::test_local_index
+ # TODO
+ setuptools/tests/test_easy_install.py::TestSetupRequires::test_setup_requires_with_allow_hosts
+ setuptools/tests/test_test.py::test_tests_are_run_once
+ )
+
+ # test_easy_install raises a SandboxViolation due to ${HOME}/.pydistutils.cfg
+ # It tries to sandbox the test in a tempdir
+ HOME="${PWD}" epytest \
+ -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")" setuptools
+}
+
+python_install() {
+ export DISTRIBUTE_DISABLE_VERSIONED_EASY_INSTALL_SCRIPT=1
+ distutils-r1_python_install
+}